> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Product images for a given Product ID

> ## Find Product images for a given Product ID ##

The returned result is an array of images. If no images are found a 404 response will be returned.

#### Example ####

`/supplier/product/554/images` will return any gallery images attached to the product with ID 554.

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>mediaId</td><td>n</td><td>Integer</td><td>Media ID of the image.</td>
         </tr>
         <tr>
             <td>path</td><td>n</td><td>String</td><td>Absolute URL path of image.</td>
         </tr>
         <tr>
             <td>caption</td><td>y</td><td>String</td><td>Optional image caption.</td>
         </tr>
         <tr>
             <td>active</td><td>y</td><td>Boolean</td><td>True on first image in set.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/product/{productId}/images
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/images:
    get:
      tags:
        - Version 1
        - Products
      summary: Find Product images for a given Product ID
      description: >-
        ## Find Product images for a given Product ID ##


        The returned result is an array of images. If no images are found a 404
        response will be returned.


        #### Example ####


        `/supplier/product/554/images` will return any gallery images attached
        to the product with ID 554.


        #### Response ####


        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>mediaId</td><td>n</td><td>Integer</td><td>Media ID of the image.</td>
                 </tr>
                 <tr>
                     <td>path</td><td>n</td><td>String</td><td>Absolute URL path of image.</td>
                 </tr>
                 <tr>
                     <td>caption</td><td>y</td><td>String</td><td>Optional image caption.</td>
                 </tr>
                 <tr>
                     <td>active</td><td>y</td><td>Boolean</td><td>True on first image in set.</td>
                 </tr>
             </tbody>
         </table>
      operationId: getProductImagesAction
      parameters:
        - name: size
          in: query
          description: Optional size of images to fetch. Defaults to small (sm).
          required: false
          schema:
            type: string
            default: sm
            enum:
              - sm
              - med
              - lg
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: productId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      responses:
        '200':
          description: Returned when successful.
        '403':
          description: Returned when you do not have access to the requested Product.
        '404':
          description: >-
            Returned when Product not found, or no images for the Product are
            found.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.